Retrieve a single event by ID
Return a single event by its unique identifier.
Authorization
ApiKeyAuth API key for authentication. Get your key from the Whitepages developer portal.
In: header
Path Parameters
Unique event identifier
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.whitepages.com/v1/events/string"{
"result": {
"id": "string",
"object": "event",
"event_type": "string",
"data": {
"jurisdiction": {
"county": "string",
"state": "string",
"fips_code": "string"
},
"property": {
"property_id": "string",
"property_address": {
"line1": "string",
"city": "string",
"state": "string",
"zip": "string",
"county": "string"
},
"apn": "string",
"parcel_id": "string",
"geolocation": {
"lat": 0,
"lng": 0
},
"legal_description": {
"text": "string"
},
"bedrooms": 0,
"bathrooms": 0,
"living_sqft": 0,
"lot_sqft": 0,
"property_purpose": "string"
},
"parties": [
{
"role": "string",
"name": "string",
"type": "string",
"person_id": "string",
"addresses": [
{
"full_address": "string"
}
]
}
],
"detail": {
"document_type": {
"category": "string",
"text": "string"
},
"recorded_date": "string",
"instrument_date": "string",
"consideration": 0,
"transaction_reason": {
"category": "string",
"text": "string"
}
}
}
}
}{
"error": {
"code": 400,
"message": "Bad Request",
"long_message": "Invalid person ID format: 'sdf'. Person ID must start with 'P' followed by exactly 10 alphanumeric characters. Example: 'PABcd12345e' or 'P1234567890'.",
"meta": null
},
"wp_trace_id": "3b0b537a60d84057817bb40563ca5c99"
}{
"message": "Forbidden"
}{
"error": {
"code": 404,
"message": "Not Found",
"long_message": "Person id not found: PABcd12345e",
"meta": null
},
"wp_trace_id": "0c57473114bd49b3b3c4b585df624f2f"
}{
"error": {
"code": 400,
"message": "Short error message",
"long_message": "The request was malformed",
"meta": {
"field": "email",
"validation_error": "Invalid email format"
}
},
"wp_trace_id": "550e8400-e29b-41d4-a716-446655440000"
}{
"error": {
"code": 400,
"message": "Short error message",
"long_message": "The request was malformed",
"meta": {
"field": "email",
"validation_error": "Invalid email format"
}
},
"wp_trace_id": "550e8400-e29b-41d4-a716-446655440000"
}Search all deed events GET
Search historical deed events by region and optional filters. Raises ------ EventInvalidParameterError When event_date_from is after event_date_to.
Get property details by ID GET
Retrieve detailed property information by Whitepages property ID. This endpoint returns comprehensive property data including physical characteristics, tax assessment information, ownership details, mortgage history, predictive insights, and current residents. To obtain a property_id, first use the "Search for property by address" endpoint (/v2/property/), which returns basic property information including the property_id needed for this request.